View Issue Details

IDProjectCategoryView StatusLast Update
0027338LazarusPatchpublic2015-01-23 16:23
ReporterPéter GáborAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0027338: lazreport: addfunction typo
Description'Determines is word <Word> present in the string <String>.'
should be
'Determines if word <Word> present in the string <String>.'
TagsNo tags attached.
Fixed in Revision47485
LazTarget-
Widgetset
Attached Files
  • lr_add_function_const_typo_2.diff (784 bytes)
    Index: components/lazreport/source/addons/addfunction/lr_add_function_const.pas
    ===================================================================
    --- components/lazreport/source/addons/addfunction/lr_add_function_const.pas  (revision 47478)
    +++ components/lazreport/source/addons/addfunction/lr_add_function_const.pas  (working copy)
    @@ -5,11 +5,11 @@
     interface
     
     uses
    -  Classes, SysUtils; 
    +  Classes, SysUtils;
     
     resourcestring
       SDescriptionISWORDPRESENT = 'ISWORDPRESENT(<Word>,<String>,<Delimiters>)/'+
    -    'Determines is word <Word> present in the string <String>.'+
    +    'Determines if word <Word> is present in the string <String>.'+
         '<Delimiters> is the list of word delimiters.';
     
       SDescriptionWORDPOSITION = 'WORDPOSITION(<WordNo>,<String>,<Delimiters>)/'+
    

Activities

Bart Broersma

2015-01-21 15:07

developer   ~0080541

Gramaticaaly this would be better I think?
+ 'Determines if word <Word> is present in the string <String>.'+

(Inserted "is" after <Word>)

Péter Gábor

2015-01-21 15:16

reporter   ~0080543

Last edited: 2015-01-21 15:30

View 2 revisions

You're right!
Updated patch attached, previous can be deleted...

Péter Gábor

2015-01-21 15:29

reporter  

lr_add_function_const_typo_2.diff (784 bytes)
Index: components/lazreport/source/addons/addfunction/lr_add_function_const.pas
===================================================================
--- components/lazreport/source/addons/addfunction/lr_add_function_const.pas  (revision 47478)
+++ components/lazreport/source/addons/addfunction/lr_add_function_const.pas  (working copy)
@@ -5,11 +5,11 @@
 interface
 
 uses
-  Classes, SysUtils; 
+  Classes, SysUtils;
 
 resourcestring
   SDescriptionISWORDPRESENT = 'ISWORDPRESENT(<Word>,<String>,<Delimiters>)/'+
-    'Determines is word <Word> present in the string <String>.'+
+    'Determines if word <Word> is present in the string <String>.'+
     '<Delimiters> is the list of word delimiters.';
 
   SDescriptionWORDPOSITION = 'WORDPOSITION(<WordNo>,<String>,<Delimiters>)/'+

Maxim Ganetsky

2015-01-22 23:00

developer   ~0080553

Applied, thanks.

Issue History

Date Modified Username Field Change
2015-01-21 10:08 Péter Gábor New Issue
2015-01-21 10:08 Péter Gábor File Added: lr_add_function_const_typo.diff
2015-01-21 15:07 Bart Broersma Note Added: 0080541
2015-01-21 15:16 Péter Gábor Note Added: 0080543
2015-01-21 15:29 Péter Gábor File Added: lr_add_function_const_typo_2.diff
2015-01-21 15:30 Péter Gábor Note Edited: 0080543 View Revisions
2015-01-21 18:25 Maxim Ganetsky Assigned To => Maxim Ganetsky
2015-01-21 18:25 Maxim Ganetsky Status new => assigned
2015-01-21 18:25 Maxim Ganetsky File Deleted: lr_add_function_const_typo.diff
2015-01-22 23:00 Maxim Ganetsky Fixed in Revision => 47485
2015-01-22 23:00 Maxim Ganetsky LazTarget => -
2015-01-22 23:00 Maxim Ganetsky Note Added: 0080553
2015-01-22 23:00 Maxim Ganetsky Status assigned => resolved
2015-01-22 23:00 Maxim Ganetsky Fixed in Version => 1.4
2015-01-22 23:00 Maxim Ganetsky Resolution open => fixed
2015-01-23 16:23 Péter Gábor Status resolved => closed